#include "stdafx.h"
#include "NumaTags.h"

const CString NUMATags::Tag::NUMA(_T("NUMA"));
const CString NUMATags::DataTags::Data(_T("Data"));
const CString NUMATags::DataTags::SYSTEM_INFOTags::SYSTEM_INFO(_T("SYSTEM_INFO"));
const CString NUMATags::DataTags::SYSTEM_INFOTags::Attributes::wProcessorArchitecture(_T("wProcessorArchitecture"));
const CString NUMATags::DataTags::SYSTEM_INFOTags::Attributes::dwPageSize(_T("dwPageSize"));
const CString NUMATags::DataTags::SYSTEM_INFOTags::Attributes::lpMinimumApplicationAddress(_T("lpMinimumApplicationAddress"));
const CString NUMATags::DataTags::SYSTEM_INFOTags::Attributes::lpMaximumApplicationAddress(_T("lpMaximumApplicationAddress"));
const CString NUMATags::DataTags::SYSTEM_INFOTags::Attributes::dwActiveProcessorMask(_T("dwActiveProcessorMask"));
const CString NUMATags::DataTags::SYSTEM_INFOTags::Attributes::dwNumberOfProcessors(_T("dwNumberOfProcessors"));
const CString NUMATags::DataTags::SYSTEM_INFOTags::Attributes::dwProcessorType(_T("dwProcessorType"));
const CString NUMATags::DataTags::SYSTEM_INFOTags::Attributes::dwAllocationGranularity(_T("dwAllocationGranularity"));
const CString NUMATags::DataTags::SYSTEM_INFOTags::Attributes::wProcessorLevel(_T("wProcessorLevel"));
const CString NUMATags::DataTags::SYSTEM_INFOTags::Attributes::wProcessorRevision(_T("wProcessorRevision"));

const CString NUMATags::DataTags::GetNumaHighestNodeNumberTags::GetNumaHighestNodeNumber(_T("GetNumaHighestNodeNumber"));
const CString NUMATags::DataTags::GetNumaHighestNodeNumberTags::Attributes::Value(_T("Value"));

const CString NUMATags::DataTags::GetNumaProcessorNodeTags::GetNumaProcessorNode(_T("GetNumaProcessorNode"));
const CString NUMATags::DataTags::GetNumaProcessorNodeTags::ProcessorNodeTags::ProcessorNode(_T("ProcessorNode"));
const CString NUMATags::DataTags::GetNumaProcessorNodeTags::ProcessorNodeTags::Attributes::Processor(_T("Processor"));
const CString NUMATags::DataTags::GetNumaProcessorNodeTags::ProcessorNodeTags::Attributes::Node(_T("Node"));

const CString NUMATags::DataTags::GetNumaProcessorMaskTags::GetNumaProcessorMask(_T("GetNumaProcessorMask"));
const CString NUMATags::DataTags::GetNumaProcessorMaskTags::ProcessorMaskTags::ProcessorMask(_T("ProcessorMask"));
const CString NUMATags::DataTags::GetNumaProcessorMaskTags::ProcessorMaskTags::Attributes::ProcessorMask(_T("ProcessorMask"));
const CString NUMATags::DataTags::GetNumaProcessorMaskTags::ProcessorMaskTags::Attributes::Node(_T("Node"));

const CString NUMATags::DataTags::GetNumaAvailableMemoryNodeTags::GetNumaAvailableMemoryNode(_T("GetNumaAvailableMemoryNode"));
const CString NUMATags::DataTags::GetNumaAvailableMemoryNodeTags::NumaAvailableMemoryTags::NumaAvailableMemory(_T("NumaAvailableMemory"));
const CString NUMATags::DataTags::GetNumaAvailableMemoryNodeTags::NumaAvailableMemoryTags::Attributes::Node(_T("Node"));
const CString NUMATags::DataTags::GetNumaAvailableMemoryNodeTags::NumaAvailableMemoryTags::Attributes::KBytes(_T("KBytes"));

const CString NUMATags::DataTags::GetLogicalProcessorInformationTags::GetLogicalProcessorInformation(_T("GetLogicalProcessorInformation"));
const CString NUMATags::DataTags::GetLogicalProcessorInformationTags::RelationProcessorCoreTags::RelationProcessorCore(_T("RelationProcessorCore"));
const CString NUMATags::DataTags::GetLogicalProcessorInformationTags::RelationProcessorCoreTags::Attributes::ProcessorMask(_T("ProcessorMask"));
const CString NUMATags::DataTags::GetLogicalProcessorInformationTags::RelationProcessorCoreTags::Attributes::Flags(_T("Flags"));
const CString NUMATags::DataTags::GetLogicalProcessorInformationTags::RelationCacheTags::RelationCache(_T("RelationCache"));
const CString NUMATags::DataTags::GetLogicalProcessorInformationTags::RelationCacheTags::Attributes::ProcessorMask(_T("ProcessorMask"));
const CString NUMATags::DataTags::GetLogicalProcessorInformationTags::RelationCacheTags::Attributes::Level(_T("Level"));
const CString NUMATags::DataTags::GetLogicalProcessorInformationTags::RelationCacheTags::Attributes::Associativity(_T("Associativity"));
const CString NUMATags::DataTags::GetLogicalProcessorInformationTags::RelationCacheTags::Attributes::LineSize(_T("LineSize"));
const CString NUMATags::DataTags::GetLogicalProcessorInformationTags::RelationCacheTags::Attributes::Type(_T("Type"));
const CString NUMATags::DataTags::GetLogicalProcessorInformationTags::RelationCacheTags::Attributes::TypeName(_T("TypeName"));
const CString NUMATags::DataTags::GetLogicalProcessorInformationTags::RelationProcessorPackageTags::RelationProcessorPackage(_T("RelationProcessorPackage"));
const CString NUMATags::DataTags::GetLogicalProcessorInformationTags::RelationProcessorPackageTags::Attributes::ProcessorMask(_T("ProcessorMask"));
const CString NUMATags::DataTags::GetLogicalProcessorInformationTags::RelationNumaNodeTags::RelationNumaNode(_T("RelationNumaNode"));
const CString NUMATags::DataTags::GetLogicalProcessorInformationTags::RelationNumaNodeTags::Attributes::ProcessorMask(_T("ProcessorMask"));
const CString NUMATags::DataTags::GetLogicalProcessorInformationTags::RelationNumaNodeTags::Attributes::Node(_T("Node"));

const CString NUMATags::DataTags::QueryWorkingSetExTags::QueryWorkingSetEx(_T("QueryWorkingSetEx"));
const CString NUMATags::DataTags::QueryWorkingSetExTags::PSAPI_WORKING_SET_EX_INFORMATIONTags::PSAPI_WORKING_SET_EX_INFORMATION(_T("PSAPI_WORKING_SET_EX_INFORMATION"));
const CString NUMATags::DataTags::QueryWorkingSetExTags::PSAPI_WORKING_SET_EX_INFORMATIONTags::Attributes::VirtualAddress(_T("VirtualAddress"));
const CString NUMATags::DataTags::QueryWorkingSetExTags::PSAPI_WORKING_SET_EX_INFORMATIONTags::Attributes::Flags(_T("Flags"));
const CString NUMATags::DataTags::QueryWorkingSetExTags::PSAPI_WORKING_SET_EX_INFORMATIONTags::Attributes::Valid(_T("Valid"));
const CString NUMATags::DataTags::QueryWorkingSetExTags::PSAPI_WORKING_SET_EX_INFORMATIONTags::Attributes::ShareCount(_T("ShareCount"));
const CString NUMATags::DataTags::QueryWorkingSetExTags::PSAPI_WORKING_SET_EX_INFORMATIONTags::Attributes::Win32Protection(_T("Win32Protection"));
const CString NUMATags::DataTags::QueryWorkingSetExTags::PSAPI_WORKING_SET_EX_INFORMATIONTags::Attributes::Shared(_T("Shared"));
const CString NUMATags::DataTags::QueryWorkingSetExTags::PSAPI_WORKING_SET_EX_INFORMATIONTags::Attributes::Node(_T("Node"));
const CString NUMATags::DataTags::QueryWorkingSetExTags::PSAPI_WORKING_SET_EX_INFORMATIONTags::Attributes::Locked(_T("Locked"));
const CString NUMATags::DataTags::QueryWorkingSetExTags::PSAPI_WORKING_SET_EX_INFORMATIONTags::Attributes::LargePage(_T("LargePage"));

const CString NUMATags::DataTags::VirtualAllocExNumaTags::VirtualAllocExNuma(_T("VirtualAllocExNuma"));
const CString NUMATags::DataTags::VirtualAllocExNumaTags::AllocationTags::Allocation(_T("Allocation"));
const CString NUMATags::DataTags::VirtualAllocExNumaTags::AllocationTags::Attributes::Low(_T("Low"));
const CString NUMATags::DataTags::VirtualAllocExNumaTags::AllocationTags::Attributes::High(_T("High"));
const CString NUMATags::DataTags::VirtualAllocExNumaTags::AllocationTags::Attributes::Node(_T("Node"));
const CString NUMATags::DataTags::VirtualAllocExNumaTags::AllocationTags::Attributes::CPU(_T("CPU"));
const CString NUMATags::DataTags::VirtualAllocExNumaTags::AllocationTags::Attributes::Valid(_T("Valid"));
